package com.ruoyi.business.service.impl;

import com.ruoyi.business.domain.TEbsOrder;
import com.ruoyi.business.mapper.TEbsOrderMapper;
import com.ruoyi.business.service.ITEbsOrderService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class TEbsOrderServiceImpl implements ITEbsOrderService {
    @Autowired
    private TEbsOrderMapper tEbsOrderMapper;

    @Override
    public List<TEbsOrder> selectTEbsOrderList(TEbsOrder tEbsOrder) {
        return tEbsOrderMapper.selectTEbsOrderList(tEbsOrder);
    }

    @Override
    public int insertTEbsOrder(TEbsOrder tEbsOrder) {
        return tEbsOrderMapper.insertTEbsOrder(tEbsOrder);
    }

    @Override
    public int updateTEbsOrder(TEbsOrder tEbsOrder) {
        return tEbsOrderMapper.updateTEbsOrder(tEbsOrder);
    }

    @Override
    public int deleteTEbsOrder(TEbsOrder tEbsOrder) {
        return tEbsOrderMapper.deleteTEbsOrder(tEbsOrder);
    }
}
